[DOC] Add possibility to run 'manila-api' with wsgi web servers

Bug #1682694 reported by OpenStack Infra on 2017-04-14
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Manila
Undecided
junboli

Bug Description

https://review.openstack.org/448190
Dear bug triager. This bug was created since a commit was marked with DOCIMPACT.
Your project "openstack/manila" is set up so that we directly report the documentation bugs against it. If this needs changing, the docimpact-group option needs to be added for the project. You can ask the OpenStack infra team (#openstack-infra on freenode) for help if you need to.

commit 16bfc82962785409d1373571608508de75122645
Author: Valeriy Ponomaryov <email address hidden>
Date: Tue Mar 21 17:25:26 2017 +0300

    Add possibility to run 'manila-api' with wsgi web servers

    One of the goals for Pike [1] is to make each API service be able to
    run under web servers that support WSGI applications,
    such as Apache (+mod-wsgi) and Nginx (+uWSGI).

    Do following to address governance requirements:
    - Split existing manila/wsgi.py module into 3 modules:
      First (manila/wsgi/eventlet_server.py) is used by
      eventlet-based WSGI application approach.
      Second (manila/wsgi/wsgi.py) is used for WSGI web servers.
      And third (manila/wsgi/common.py) is common code for both.
      All three are made in cinder-like way to have alike-approach.
    - Reuse common code from "oslo_service/wsgi.py" module that
      allows us to remove code duplication.
    - Delete config opts that are defined by newly reused common code.
    - Register new entry point that will be manila wsgi app: "manila-wsgi".
    - Fix "manila/api/openstack/wsgi.py" module to be compatible
      with str/bytes handling approach used by Apache mod-wsgi plugin using
      different python versions (2/3).
    - Add web server config template "devstack/apache-manila.template"
    - Add devstack support where usage of this feature can be
      enabled or disabled using "MANILA_USE_MOD_WSGI" env var.
      It is set to "True" by default, because it is requirement for Pike
      release - to have it running in all CI jobs.
      Disable it only for one CI job that uses dummy driver and tests
      various manila core features that are not covered by other CI jobs.

    [1] https://governance.openstack.org/tc/goals/pike/deploy-api-in-wsgi.html

    Partially-Implements BluePrint wsgi-web-servers-support
    DocImpact
    Change-Id: Ibdef3c6810b65a5d6f3611e2d0079c635ee523ab

junboli (junboli) on 2018-05-18
Changed in manila:
assignee: nobody → junboli (junboli)
Jason Grosso (jgrosso) wrote :

Junboli has this been added to the upstream manila docs?

Changed in manila:
status: New → Triaged
summary: - Add possibility to run 'manila-api' with wsgi web servers
+ [DOC] Add possibility to run 'manila-api' with wsgi web servers
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers